%define debug 0

%define strip_bin 0
%define final 0
%define rpm_clean 1

%define desktop_file 1
%define desktop_file_utils_version 0.2.93

%define _plugindir %{_libdir}/kde3

%define qt_version 3.1.2

%define libtool 0

Version: 3.1.3
Release: 1
Name: kdeaddons
Summary: K Desktop Environment - Plugins
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2

Patch: kdeaddons-3.1-dt.patch
Patch1: kde-libtool.patch

Requires: kdebase >= 6:%{version}
Requires: kdelibs >= 6:%{version}
Requires: arts >= 8:1.1.1
Requires: SDL >= 1.2.0

BuildPrereq: kdebase-devel >= %{version}
BuildPrereq: kdegames-devel >= %{version}
BuildPrereq: kdemultimedia-devel >= %{version}
BuildPrereq: qt-devel >= %{qt_version}
BuildPrereq: zlib-devel
BuildPrereq: libpng-devel
BuildPrereq: libmng-devel
BuildPrereq: SDL-devel >= 1.2.0
BuildPrereq: perl
BuildPrereq: arts-devel >= 8:1.1.1

Obsoletes: %{name}-kate
Obsoletes: %{name}-kicker
Obsoletes: %{name}-knewsticker
Obsoletes: %{name}-konqueror
Obsoletes: %{name}-noatun

Provides: %{name}-kate
Provides: %{name}-kicker
Provides: %{name}-knewsticker
Provides: %{name}-konqueror
Provides: %{name}-noatun

%if %{desktop_file}
BuildPrereq: desktop-file-utils >= %{desktop_file_utils_version}
%endif

%description
Plugins for some KDE applications: %{name} extends the functionality
of Konqueror (web browser and file manager), noatun (media player)
and Kate (text editor), Kicker, knewsticker.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch -p1 -b .dt
%patch1 -p1 -b .libtool

# Workaround for legacy auto* tools
%if %{libtool}
[ -x /usr/bin/autoconf-2.5? ] && ln -s /usr/bin/autoconf-2.5? autoconf
[ -x /usr/bin/autoheader-2.5? ] && ln -s /usr/bin/autoheader-2.5? autoheader
[ -x /usr/bin/aclocal-1.5 ] && ln -s /usr/bin/aclocal-1.5 aclocal
[ -x /usr/bin/automake-1.5 ] && ln -s /usr/bin/automake-1.5 automake
export PATH=`pwd`:$PATH
make -f admin/Makefile.common cvs
%endif

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

export KDEDIR=%{prefix}
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG -fno-use-cxa-atexit"
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG"

%configure --includedir=%{_includedir}/kde \
           --enable-final \
           --with-qt-libraries=$QTDIR/lib

make %{?smp_mflags}

make -C noatun-plugins %{?smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

make -C noatun-plugins install DESTDIR=$RPM_BUILD_ROOT

# Make symlinks relative
pushd $RPM_BUILD_ROOT%{_docdir}/HTML/en
for i in *; do
   [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
done
popd

# move desktop files back
pushd $RPM_BUILD_ROOT%{_datadir}/applnk
for i in `find . -name "More"`; do
   if /bin/ls $i/*.desktop >& /dev/null ; then
      pushd $i
      for j in *.desktop ; do
         grep "Hidden=true" $j >& /dev/null || mv -f $j ..
      done
      popd
   fi
done
popd

%if %{desktop_file}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications

desktop-file-install \
       --vendor kde \
       --dir $RPM_BUILD_ROOT%{_prefix}/share/applications \
       --delete-original \
       --add-category "Application;Utility;TextEditor;X-Red-Hat-Extra" \
       --add-only-show-in KDE \
       $RPM_BUILD_ROOT%{_prefix}/share/applnk/Editors/*.desktop

desktop-file-install \
       --vendor kde \
       --dir $RPM_BUILD_ROOT%{_prefix}/share/applications \
       --delete-original \
       --add-category "X-KDE-WebBrowsing" \
       --add-only-show-in KDE \
       $RPM_BUILD_ROOT%{_prefix}/share/applnk/.hidden/*.desktop

for i in Accessibility Components FileBrowsing Information LookNFeel Network \
   Peripherals Personalization PowerControl Sound WebBrowsing Security \
   Desktop; do
   case $i in
      Accessibility) catagory="X-KDE-Accessibility";;
      FileBrowsing) catagory="X-KDE-FileBrowsing";;
      Databases) catagory="X-KDE-Database";;
      Desktop) catagory="X-KDE-Desktop";;
      Help) catagory="X-KDE-Help";;
      Information) catagory="X-KDE-Information";;
      LookNFeel) catagory="X-KDE-LookNFeel";;
      LookNFeel/Desktop) catagory="X-KDE-LookNFeel-Desktop";;
      LookNFeel/Themes) catagory="X-KDE-LookNFeel-Theme";;
      LookNFeel/Windows) catagory="X-KDE-LookNFeel-Window";;
      Network) catagory="X-KDE-Network";;
      Peripherals) catagory="X-KDE-Peripherals";;
      Personalization) catagory="X-KDE-Personalization";;
      Components) catagory="X-KDE-Components";;
      Security) catagory="X-KDE-Security";;
      PowerControl) catagory="X-KDE-PowerControl";;
      Sound) catagory="X-KDE-Sound";;
      System) catagory="X-KDE-System";;
      WebBrowsing) catagory="X-KDE-WebBrowsing";;
   esac
   if /bin/ls $RPM_BUILD_ROOT%{_prefix}/share/applnk/Settings/$i/*.desktop >& /dev/null ; then
     desktop-file-install \
       --vendor kde \
       --dir $RPM_BUILD_ROOT%{_prefix}/share/applications \
       --delete-original \
       --add-category "$catagory" \
       --add-only-show-in KDE \
       $RPM_BUILD_ROOT%{_prefix}/share/applnk/Settings/$i/*.desktop
   fi
done

rm -vrf $RPM_BUILD_ROOT%{_prefix}/share/applnk
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_docdir}/HTML/en/*
%{_bindir}/*
%{_plugindir}/*
%{_datadir}/apps/atlantikdesigner
%{_datadir}/apps/kate/plugins
%{_datadir}/apps/katexmltools
%{_datadir}/apps/knewsticker/scripts/*
%{_datadir}/apps/noatun/*
%{_datadir}/apps/khtml/kpartplugins/*
%{_datadir}/apps/konqiconview/kpartplugins/*
%{_datadir}/apps/konqlistview/kpartplugins/*
%{_datadir}/apps/konqsidebartng/add/*
%{_datadir}/apps/konqsidebartng/entries/*
%{_datadir}/apps/mediacontrol
%{_datadir}/apps/kicker/applets/*
%{_datadir}/icons/*/*/*/*
%{_datadir}/mimelnk/application/*
%{_datadir}/services/*
%if %{desktop_file}
%{_datadir}/applications/*
%else
%{_datadir}/applnk
%endif

%changelog
* Sun Aug 03 2003 Than Ngo <than@redhat.com> 3.1.3-1
- 3.1.3

* Fri Jun 27 2003 Than Ngo <than@redhat.com> 3.1.2-4
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 18 2003 Than Ngo <than@redhat.com> 3.1.2-2
- 3.1.2

* Wed Mar 19 2003 Than Ngo <than@redhat.com> 3.1.1-1
- 3.1.1

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Fri Feb 21 2003 Than Ngo <than@redhat.com> 3.1-3
- get rid of gcc path from dependency_libs

* Thu Feb 13 2003 Than Ngo <than@redhat.com> 3.1-2
- rebuild against new arts

* Mon Jan 27 2003 Than Ngo <than@redhat.com> 3.1-1
- 3.1 final
- cleanup specfile
- remove unneeded size_t check patch

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 3.1-0.6
- rebuild

* Tue Jan 14 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.5
- removed size_t check
- excluded ia64

* Mon Jan 13 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.4
- rc6
- added atlantikdesignerui.rc

* Tue Jan 07 2003 Elliot Lee <sopwith@redhat.com> 3.1-0.3
- Don't exclude Alpha "temporarily"

* Sat Dec 28 2002 Than Ngo <than@redhat.com> 3.1-0.2
- disable smp_flags

* Wed Nov 27 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4
- get rid of sub packages

* Sun Nov 10 2002 Than Ngo <than@redhat.com> 3.0.5-1
- update to 3.0.5

* Thu Nov  7 2002 Than Ngo <than@redhat.com> 3.0.4-2
- fix some build problem
- umask of 077 issue (bug #73946)

* Tue Oct 15 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4

* Wed Sep 11 2002 Than Ngo <than@redhat.com> 3.0.3-1.1
- clean up specfile

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3
- don't strip binaries

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 3.0.2-3
- build using gcc-3.2-0.1

* Sat Jul 20 2002 Than Ngo <than@redhat.com> 3.0.2-2
- fix desktop files issue

* Wed Jul 10 2002 Than Ngo <than@redhat.com> 3.0.2-1
- 3.0.2
- use desktop-file-install

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 14 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.1-1
- 3.0.1

* Wed Apr 17 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-4
- BuildRequire the correct version of kdemultimedia

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-3
- Rebuild

* Wed Mar 27 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-1
- 3.0.0 final

* Sat Mar  9 2002 Tim Powers <timp@redhat.com>
- change kdemultimedia-noatun requirement to noatun

* Fri Mar  8 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020308.1
- Update
- Adapt spec file to changes
- Exclude alpha temporarily

* Thu Jan 31 2002 Tim Powers <timp@redhat.com>
- knewsticker should require kdenetwork-libs and not kdenetwork

* Tue Jan 29 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020129.1
- Update

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010724.1
- Require kdemultimedia-devel >= 2.2 rather than just kdemultimedia-devel
- Update

* Mon Jul 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010723.1
- Update
- Split in subpackages

* Thu Apr 26 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Initial release

